<?php
$timestamp = time();
$date = date("d.m.Y", $timestamp);

// Get act_release
$timeout = 20;
$opts = array('ssl'=>array('method'=>'GET','timeout'=>$timeout,'user_agent'=>$useragent,'verify_peer' => true));
$context = stream_context_create($opts);
if(!isset($_SESSION['o_act_release'])) {
$act_release = file_get_contents("https://www.na-web.lima-city.de/Tests/tracking/update/update.htm");
$_SESSION['o_act_release'] = $act_release;
}
else $act_release = $_SESSION['o_act_release'];

// Proof release
if($config[8]!=$act_release AND $act_release!="" AND strpos($_SERVER['REQUEST_URI'], "settings.php?action=update_login")===false) {
echo '<script>alert("Achtung! Es ist ein neues Update für Opolytics verfügbar. Die neue Version ('.$act_release.') bringt unter anderem Sicherheitsverbesserungen. Sie sollten das neue Update unbedingt installieren.");</script><div style="background-color:black;color:white;padding:20px">Neues Update ('.$act_release.') verfügbar! <a href="'.(preg_match('/login.php/',$_SERVER['REQUEST_URI']) ? 'javascript:alert(\'Loggen Sie sich zuerst ein.\');' : 'update.php').'" style="color:white">Jetzt aktualisieren</a></div>';
}
?>